Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianSqlAccess

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.mondrian.MondrianSqlAccess

All Implemented Interfaces:
  Extension, SqlAccess

    public class MondrianSqlAccess

extends ExtensionSupport
implements SqlAccess

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.jpivot.param.SqlAccess
`ID`

Constructor Summary
`MondrianSqlAccess()`

Method Summary
`com.tonbeller.wcf.param.SessionParam` | `createParameter(Member member, java.lang.String paramName)` returns a parameter that describes the member.
`com.tonbeller.wcf.param.SessionParam` | `createParameter(Member member, java.lang.String paramName, java.lang.String propertyName)` returns a parameter that describes the member.
`javax.sql.DataSource` | `getDataSource()` returns the data source to access the database

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### MondrianSqlAccess

    public MondrianSqlAccess()

Method Detail

### getDataSource

    public javax.sql.DataSource getDataSource()

  Description copied from interface: `SqlAccess`
  returns the data source to access the database

  Specified by:
    `getDataSource` in interface `SqlAccess`

### createParameter

    public com.tonbeller.wcf.param.SessionParam createParameter(Member member,
                                                                java.lang.String paramName)

  Description copied from interface: `SqlAccess`
  returns a parameter that describes the member. returns null, if the member does not represent a column in the database, for example because its the ALL member or a calculated member.

  Specified by:
    `createParameter` in interface `SqlAccess`

### createParameter

    public com.tonbeller.wcf.param.SessionParam createParameter(Member member,
                                                                java.lang.String paramName,
                                                                java.lang.String propertyName)

  Description copied from interface: `SqlAccess`
  returns a parameter that describes the member. returns null, if the member does not represent a column in the database, for example because its the ALL member or a calculated member.

  Specified by:
    `createParameter` in interface `SqlAccess`
  Parameters:
    `member` - the member
    `paramName` - teh name of the new paramter
    `propertyName` - name of a member property whose value will be used as sqlValue of the parameter. This may be used in situations where the members key is for example "John Smith" and the member property is the customer ID "123" which we want to use in the SQL queries.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD